Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.model
Class IndexedUDFFinder

    java.lang.Object
      org.apache.poi.ss.formula.udf.AggregatingUDFFinder
          org.apache.poi.xssf.model.IndexedUDFFinder

All Implemented Interfaces:
  org.apache.poi.ss.formula.udf.UDFFinder

    public final class IndexedUDFFinder

extends org.apache.poi.ss.formula.udf.AggregatingUDFFinder

A UDFFinder that can retrieve functions both by name and by fake index.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from interface org.apache.poi.ss.formula.udf.UDFFinder
`DEFAULT`

Constructor Summary
`IndexedUDFFinder(org.apache.poi.ss.formula.udf.UDFFinder[] usedToolPacks)`

Method Summary
`org.apache.poi.ss.formula.functions.FreeRefFunction` | `findFunction(java.lang.String name)`
`int` | `getFunctionIndex(java.lang.String name)`
`java.lang.String` | `getFunctionName(int idx)`

Methods inherited from class org.apache.poi.ss.formula.udf.AggregatingUDFFinder
`add`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedUDFFinder

    public IndexedUDFFinder(org.apache.poi.ss.formula.udf.UDFFinder[] usedToolPacks)

Method Detail

### findFunction

    public org.apache.poi.ss.formula.functions.FreeRefFunction findFunction(java.lang.String name)

  Specified by:
    `findFunction` in interface `org.apache.poi.ss.formula.udf.UDFFinder`
  Overrides:
    `findFunction` in class `org.apache.poi.ss.formula.udf.AggregatingUDFFinder`

### getFunctionName

    public java.lang.String getFunctionName(int idx)

### getFunctionIndex

    public int getFunctionIndex(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD